Go to the latest version of this document.

# ``twisted`.`mail`.`smtp`.`SMTPAddressError``

exception documentation

`class SMTPAddressError(SMTPServerError): (source)`

Known subclasses: `twisted.mail.smtp.SMTPBadRcpt`, `twisted.mail.smtp.SMTPBadSender`

Constructor: `SMTPAddressError(addr, code, resp)`

View In Hierarchy

Undocumented

Method | `__init__` | Undocumented
Method | `__str__` | Undocumented
Instance Variable | `addr` | Undocumented

Inherited from `SMTPServerError`:

Instance Variable | `code` | Undocumented
Instance Variable | `resp` | Undocumented

def __init__(self, addr, code, resp): (source)
overrides `twisted.mail.smtp.SMTPServerError.__init__`
overridden in `twisted.mail.smtp.SMTPBadRcpt`, `twisted.mail.smtp.SMTPBadSender`

Undocumented

def __str__(self) -> `str`: (source)
overrides `twisted.mail.smtp.SMTPServerError.__str__`

Undocumented

addr = (source)

Undocumented